/* 
 * File: messagequeue.h  Created: 120226
 *
 * Copyright (c) 2012 Johannes Heimansberg (wejp.k.vu)
 *
 * Description: Message queue stuff
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; version 2 of
 * the License. See the file COPYING for details.
 */
#ifndef MESSAGEQUEUE_H
#define MESSAGEQUEUE_H

#define MESSAGE_LENGTH 256
#define MAGIC_KEY 935777652L

typedef struct {
	long priority;
	char message[MESSAGE_LENGTH];
} Message;
#endif
